after waking from sleep i get text radeon error message then return login screen (18.04 & 18.10)

Bug #1772542 reported by Chris Guiver on 2018-05-22
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
xorg-server (Ubuntu)
Low
Unassigned

Bug Description

// this bug was reported for 18.04.
// I had just had it occur (first time) on 18.10
// new details will be comment @ end

my box is 18.04 (was 17.10 installed; standard Ubuntu with MATE & XFCE desktops added)

I sleep my XFCE (xubuntu) machine rather than turning it off at night.

Today as with yesterday morning, instead of getting the locker-screen after hitting the power-button to wake my machine, i get a blank screen with a RADEON two-line text message top left on screen which appear only momentarily as screen is erased and I get the login/greeter screen.

(it's happened 4-5 times, but does NOT happen every time)

I can login fine, but my xfce session is new.

I have grep'd for the message I see (yesterday & today), but can't find it as i usually recall little but the radeon word...

sudo lshw -C video
  *-display
       description: VGA compatible controller
       product: Cedar [Radeon HD 5000/6000/7350/8350 Series]
       vendor: Advanced Micro Devices, Inc. [AMD/ATI]
       physical id: 0
       bus info: pci@0000:01:00.0
       version: 00
       width: 64 bits
       clock: 33MHz
       capabilities: pm pciexpress msi vga_controller bus_master cap_list rom
       configuration: driver=radeon latency=0
       resources: irq:30 memory:e0000000-efffffff memory:f7de0000-f7dfffff ioport:dc00(size=256) memory:c0000-dffff

guiverc@d960-ubu2:/var/crash$ pwd
/var/crash
guiverc@d960-ubu2:/var/crash$ ls -la
total 35332
drwxrwsrwt 2 root whoopsie 4096 May 22 09:41 .
drwxr-xr-x 15 root root 4096 Nov 16 2017 ..
-rw-r----- 1 guiverc whoopsie 50003 May 21 10:32 _usr_bin_caffeine.1000.crash
-rw-r----- 1 guiverc whoopsie 880121 May 21 10:33 _usr_bin_light-locker.1000.crash
-rw-rw-r-- 1 guiverc whoopsie 0 May 21 10:33 _usr_bin_light-locker.1000.upload
-rw-r----- 1 guiverc whoopsie 35234566 May 21 10:32 _usr_lib_xorg_Xorg.1000.crash
(these files are dated yesteday - i didn't find anything for today)

extract of /var/log/auth.log (copied from `view` hence line numbers)
// last-night
 48 May 21 19:35:10 d960-ubu2 dbus-daemon[1112]: [system] Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms)
 49 May 21 19:55:52 d960-ubu2 gnome-keyring-daemon[16355]: asked to register item /org/freedesktop/secrets/collection/login/1, but it's already registered
 50 May 21 19:55:52 d960-ubu2 gnome-keyring-daemon[16355]: asked to register item /org/freedesktop/secrets/collection/login/1, but it's already registered
 51 May 21 19:56:16 d960-ubu2 dbus-daemon[1112]: [system] Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms)
// overnight
 52 May 21 20:17:01 d960-ubu2 CRON[31879]: pam_unix(cron:session): session opened for user root by (uid=0)
 53 May 21 20:17:01 d960-ubu2 CRON[31879]: pam_unix(cron:session): session closed for user root
 54 May 21 20:34:20 d960-ubu2 gnome-keyring-daemon[16355]: asked to register item /org/freedesktop/secrets/collection/login/1, but it's already registered
 55 May 21 20:34:20 d960-ubu2 gnome-keyring-daemon[16355]: asked to register item /org/freedesktop/secrets/collection/login/1, but it's already registered
 56 May 21 20:34:45 d960-ubu2 dbus-daemon[1112]: [system] Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms)
 57 May 22 09:36:23 d960-ubu2 systemd-logind[1108]: Operation 'sleep' finished.
 58 May 22 09:36:24 d960-ubu2 gdm-password]: pam_unix(gdm-password:session): session closed for user guiverc
 59 May 22 09:36:24 d960-ubu2 sudo: pam_unix(sudo:session): session closed for user root
 60 May 22 09:36:26 d960-ubu2 sshd[1276]: Received SIGHUP; restarting.
 61 May 22 09:36:26 d960-ubu2 sshd[1276]: Server listening on 0.0.0.0 port 22.
 62 May 22 09:36:26 d960-ubu2 sshd[1276]: Server listening on :: port 22.
 63 May 22 09:36:26 d960-ubu2 dbus-daemon[1112]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.1659" (uid=1000 pid=5442 comm="/usr/bin/pulseaudio --s tart --log-target=syslog " label="unconfined") interface="org.freedesktop.DBus.ObjectManager" member="GetManagedObjects" error name="(unset)" requested_reply="0" destination="org. bluez" (bus)
 64 May 22 09:36:27 d960-ubu2 sshd[1276]: Received SIGHUP; restarting.
 65 May 22 09:36:27 d960-ubu2 sshd[1276]: Server listening on 0.0.0.0 port 22.
 66 May 22 09:36:27 d960-ubu2 sshd[1276]: Server listening on :: port 22.
 67 May 22 09:36:29 d960-ubu2 systemd-logind[1108]: Removed session 166.
 68 May 22 09:37:39 d960-ubu2 gdm-password]: pam_unix(gdm-password:session): session opened for user guiverc by (uid=0)
 69 May 22 09:37:39 d960-ubu2 systemd-logind[1108]: New session 178 of user guiverc.
 70 May 22 09:38:11 d960-ubu2 dbus-daemon[1112]: [system] Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms)
 71 May 22 09:38:36 d960-ubu2 dbus-daemon[1112]: [system] Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms)
 72 May 22 09:41:33 d960-ubu2 runuser: pam_unix(runuser:session): session opened for user nobody by (uid=0)
 73 May 22 09:41:58 d960-ubu2 runuser: pam_unix(runuser:session): session closed for user nobody
 74 May 22 09:53:15 d960-ubu2 gnome-keyring-daemon[16355]: asked to register item /org/freedesktop/secrets/collection/login/1, but it's already registered
 75 May 22 09:53:15 d960-ubu2 gnome-keyring-daemon[16355]: asked to register item /org/freedesktop/secrets/collection/login/1, but it's already registered
 76 May 22 09:53:39 d960-ubu2 dbus-daemon[1112]: [system] Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms)
 77 May 22 10:17:01 d960-ubu2 CRON[10201]: pam_unix(cron:session): session opened for user root by (uid=0)
 78 May 22 10:17:01 d960-ubu2 CRON[10201]: pam_unix(cron:session): session closed for user root

---

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: xorg 1:7.7+19ubuntu7
ProcVersionSignature: Ubuntu 4.15.0-20.21-generic 4.15.17
Uname: Linux 4.15.0-20-generic x86_64
ApportVersion: 2.20.9-0ubuntu7
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
CurrentDesktop: XFCE
Date: Tue May 22 10:29:51 2018
DistUpgraded: Fresh install
DistroCodename: bionic
DistroVariant: ubuntu
DkmsStatus:
 virtualbox, 5.2.10, 4.15.0-19-generic, x86_64: installed
 virtualbox, 5.2.10, 4.15.0-20-generic, x86_64: installed
EcryptfsInUse: Yes
ExtraDebuggingInterest: Yes
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] Cedar [Radeon HD 5000/6000/7350/8350 Series] [1002:68f9] (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company Radeon HD 6350 [103c:2126]
InstallationDate: Installed on 2017-11-16 (186 days ago)
InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Release amd64 (20171018)
MachineType: Dell Inc. OptiPlex 960
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-20-generic root=UUID=afa7971f-3dd5-4b30-9c98-0af3e56a6f2b ro quiet splash vt.handoff=1
SourcePackage: xorg
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 12/05/2011
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A14
dmi.board.name: 0F428D
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.asset.tag: 1701283234
dmi.chassis.type: 3
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA14:bd12/05/2011:svnDellInc.:pnOptiPlex960:pvr:rvnDellInc.:rn0F428D:rvrA00:cvnDellInc.:ct3:cvr:
dmi.product.name: OptiPlex 960
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.13.1+18.04.20180302-0ubuntu1
version.libdrm2: libdrm2 2.4.91-2
version.libgl1-mesa-dri: libgl1-mesa-dri 18.0.0~rc5-1ubuntu1
version.libgl1-mesa-glx: libgl1-mesa-glx 18.0.0~rc5-1ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.19.6-1ubuntu4
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.0.1-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917+git20171229-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-2

Chris Guiver (guiverc) wrote :
description: updated
Chris Guiver (guiverc) on 2018-05-22
description: updated
Chris Guiver (guiverc) wrote :

attached dmesg ( dmesg >~/dmesg_2018-05-22.txt )

this COULD be the key bit - unsure (thanks to well_laid_down in #xubuntu)

[488956.180193] [drm:cypress_dpm_set_power_state [radeon]] *ERROR* rv770_restrict_performance_levels_before_switch failed
[488957.778128] traps: light-locker[9579] trap int3 ip:7f228a785c41 sp:7ffdee1a6c50 error:0 in libglib-2.0.so.0.5600.1[7f228a734000+113000]

( dmesg file is unedited, contains other crash info i believe unreleated; but may contain detail on the same problem yesterday morning )

tags: added: bios-outdated-a18

Chris Guiver, thank you for reporting this and helping make Ubuntu better. Please respond to all of the following:

1) Is this something that started to happen after an update? If so, which and when precisely?

2) Regarding your crash files, none of them appear to have been reported, as the files ending in uploaded don't exist. Hence, to allow automatic processing of those crashes, could you please execute the following via a terminal and advise to the new bug report numbers (if one was made):
ubuntu-bug /var/crash/_usr_bin_caffeine.1000.crash
ubuntu-bug /var/crash/_usr_bin_light-locker.1000.crash
ubuntu-bug /var/crash/_usr_lib_xorg_Xorg.1000.crash

3) It may be that an app is crashing or misbehaving, causing a cascade of other crashes that wouldn't normally happen otherwise. Hence, if you unistall the package caffeine is this issue still reproducible?

4) To further root cause, if you suspend via the default GNOME desktop environment, or gnome-session-flashback is this reproducible?

5) Does this issue occur if you hibernate instead of sleep the computer?

Changed in xorg (Ubuntu):
importance: Undecided → Low
status: New → Incomplete
Chris Guiver (guiverc) wrote :

Thanks Christopher (penalvch) for reply

1) update - sorry I can't accurately or reliably answer

2) crash-files - done, no bug report numbers were given

3) caffeine removed; I updated & rebooted.

some testing; no issue. re-installed caffeine & i wasn't asked for any password after resume but the issue of this bug did NOT occur (5 times).

Rebooted & I was once again asked for password on resumes; no issues.

test 5 sleeps - no issue!! i continued with q5, then q4 & returned to testing.
this bug's issue did NOT appear once

5) looking at hibernate & noted SWAP was off!
it wasn't using my swap partition, entry added to /etc/fstab then it was..

on hibernate (number of tries) machine appeared to hibernate but it'd boot as if first-boot & didn't continue.. if interested you'll have to examine my longer blog (it includes syslog entries etc). I didn't get any radeon messages on screen & return to greeter that matched my bug report; as i didn't get hibernate to work - ie. different issue I'm assuming...

my testing of 5 was a failure sorry !

4) gnome desktop - reproducible - NOPE - three tries; no issues.

all SLEEP-tries were very short, but *NOT* once did it radeon error & return me to lock-screen/greeter which is this bug's issue - hence I couldn't recreate today.

// As this comment will only let me upload one file; I'll upload my log of today's testing... I've created copies of my /var/log/syslog (& syslog.1) which i can provide (covers may 22 09:40 to before this comment)

attached : my walkthru of testing (warning - wordy; but lots of pastes..)
guiverc@d960-ubu2:~$ wc bug_1772542_u.txt
 135 1126 9475 bug_1772542_u.txt

Chris Guiver:

1) Regarding hibernate not working, if you would like to pursue a fix for this, it is out of scope for this report. However, you may file a new report about it via a terminal:
ubuntu-bug linux

2) To clarify, did you have issues after sleep/resume in 17.10?

3) In regards to sleep/resume testing, when folks are vetting sleep/resume, they typically do 30-50 consecutive sleep cycles to rule out one offs. It wouldn't hurt to do this to see if a sleep/resume issue may be reproduced this way.

4) With regard to root cause, a few other possibilities:
* This issue could be the fall out of a failed sleep/resume versus apps not working. The reproduction of this could depend on how long you have the computer in sleep, how long it was in use prior to sleep, what apps you have running prior to sleep, and/or other factors (i.e. misbehaving drivers/firmware).
* When you upgraded from 17.10, there could have been some cruft left over from the upgrade, that when caffeine was removed and re-installed, it was reset to default configuration.

Hence, we can keep an eye on this given you did some preliminary testing without reproduction, and allow more testing results to be reviewed.

Chris Guiver (guiverc) wrote :

1) understood (I'd guessed that)

2) NO I didn't have the issues in 17.10/artful.

I didn't use xfce for 2-3 weeks post release-upgrade to 18.04/bionic because I couldn't login (login loop xfce only). Your (4) "there could have been some cruft left over from the upgrade" makes me happy; as it fits my initial trouble getting xfce running :)

3) will re-test with 30-50 minute cycles & add comment(s) here. I had no issues this morning from last night's 'sleep' :) (i usually have machine on all day; in 'sleep' overnight)

4) Thank you

Chris Guiver (guiverc) wrote :

// from auth.log (29-may was last night, 30-may was wake of system today)

May 30 09:54:56 d960-ubu2 gdm-password]: pam_unix(gdm-password:session): session closed for user guiverc
May 30 09:54:59 d960-ubu2 dbus-daemon[1020]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.220" (uid=1000 pid=25256 comm="/usr/bin/pulseaudio --start --log-target=syslog " label="unconfined") interface="org.freedesktop.DBus.ObjectManager" member="GetManagedObjects" error name="(unset)" requested_reply="0" destination="org.bluez" (bus)
May 30 09:55:07 d960-ubu2 gdm-password]: pam_unix(gdm-password:session): session opened for user guiverc by (uid=0)

// I think crash was 09:54:59 (in that log)

// from syslog

May 30 09:54:51 d960-ubu2 systemd-resolved[895]: Using degraded feature set (UDP) for DNS server 203.0.178.191.
May 30 09:54:56 d960-ubu2 transmission-gt[17087]: transmission-gtk: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.0.
May 30 09:54:56 d960-ubu2 at-spi-bus-launcher[1995]: XIO: fatal IO error 11 (Resource temporarily unavailable) on X server ":0"
May 30 09:54:57 d960-ubu2 at-spi-bus-launcher[1995]: after 37113 requests (37113 known processed) with 0 events remaining.
May 30 09:54:57 d960-ubu2 [23692]: mate-notification-daemon: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.
May 30 09:54:57 d960-ubu2 /usr/lib/gdm3/gdm-x-session[1844]: xfce4-volumed: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.0.
May 30 09:54:57 d960-ubu2 [3451]: gnome-clocks: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.0.
May 30 09:54:57 d960-ubu2 /usr/lib/gdm3/gdm-x-session[1844]: wrapper-1.0: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.0.
May 30 09:54:57 d960-ubu2 [2213]: blueman-applet: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.0.
May 30 09:54:57 d960-ubu2 /usr/lib/gdm3/gdm-x-session[1844]: audacious: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.0.
May 30 09:54:57 d960-ubu2 [3236]: xfce4-terminal: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.0.
May 30 09:54:57 d960-ubu2 /usr/lib/gdm3/gdm-x-session[1844]: kerneloops-applet: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.0.
May 30 09:54:57 d960-ubu2 [2059]: telegram: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.

these messages repeat for each app I must have had open, then for XFCE apps ... - refer attachment

// i think 09:55:07 is X starting again sending me to greeter after crash

NOTE: I'm no expert & this is only 'user' opinion

New crash reports in /var/crash are
-rw-r----- 1 guiverc whoopsie 882227 May 29 14:17 _usr_bin_light-locker.1000.crash
-rw-r----- 1 guiverc whoopsie 24809765 May 30 09:54 _usr_lib_xorg_Xorg.1000.crash

I'll upload these & add any report-numbers to this on next comment. I will attach my
current syslog & next comment auth.log & dmesg (dated 2018-05-30 & timestamped just before 1000)

Chris Guiver (guiverc) wrote :

no crash report numbers

Chris Guiver (guiverc) wrote :
tags: added: regression-release

Chris Guiver:

1) Going forward, please don't quote snips of logs, as the root cause issue could have happened well before this, and what you are snipping is collateral damage. Instead, attach the log in its entirety as you have done.

2) Regarding #7:
>"New crash reports in /var/crash are
-rw-r----- 1 guiverc whoopsie 882227 May 29 14:17 _usr_bin_light-locker.1000.crash
-rw-r----- 1 guiverc whoopsie 24809765 May 30 09:54 _usr_lib_xorg_Xorg.1000.crash"

To clarify, did these both happen after a resume from suspend, and then you attempted to login? If so, what desktop session specifically (e.g. Ubuntu)?

Chris Guiver (guiverc) wrote :

The time of the Xorg crash file is ~correct for the crash that logged me out (between 1st & 2nd line in my syslog snippet). I was using XFCE or Xubuntu-session login (this issue only ever happened with XFCE/Xubuntu but I can't guarantee it was XFCE the first in list & not Xubuntu-session; they look & act identical [for me] after login)

the other one (light-locker) I can't recall. Yes I've been testing sleep (inc. other DEsktops but not at that time (I don't remember, this recall is from scanning syslog messages). I can see I hand't put my machine to sleep for some time before or after it, and the next minute opened a terminal (common behavior), hence don't believe it's related.

Changed in xorg (Ubuntu):
status: Incomplete → New
Chris Guiver (guiverc) wrote :

this morning's crash includes these reports (already uploaded)

-rw-r----- 1 guiverc whoopsie 38M Jun 4 08:01 _usr_lib_xorg_Xorg.1000.crash
-rw-r----- 1 guiverc whoopsie 48K Jun 4 08:01 _usr_bin_caffeine.1000.crash
-rw-r----- 1 guiverc whoopsie 715K Jun 4 08:02 _usr_bin_light-locker.1000.crash

on wake, I didn't see message as screen was still displaying [it's power-on] branding logo, but was thrown back to greeter & login...

Chris Guiver (guiverc) wrote :
Chris Guiver (guiverc) wrote :

Chris Guiver, to confirm a WORKAROUND, if you uninstall both light-locker and caffeine simultaneously, is a crash still reproducible?

Changed in xorg (Ubuntu):
status: New → Incomplete
Chris Guiver (guiverc) wrote :

It's now quite a few sleep sessions since I `sudo apt remove light-locker caffeine`

Start-Date: 2018-06-06 14:55:33
Commandline: apt remove caffeine light-locker
Requested-By: guiverc (1000)
Remove: light-locker-settings:amd64 (1.5.0-0ubuntu2), light-locker:amd64 (1.8.0-1ubuntu1), caffeine:amd64 (2.9.4-1)
End-Date: 2018-06-06 14:55:43

in that time i've had no re-occurrences of this bug.

// once powered up; I don't think it ever occurred first few sleeps; my normal routine is use machine during day & sleep [box] at night & bug started appearing a number of days after cold-boot. I've been forced to reboot since I removed caffeine+light-locker [xfs err; so rebooted to xfs_check etc) but so far all good :)

description: updated
Changed in xorg (Ubuntu):
status: Incomplete → New
Chris Guiver (guiverc) wrote :

just an FYI.

(I upgraded my main 16.04 LTS to 18.04 [July 6]) so this install was bumped to 18.10 and thus I can no longer do any testing on it.

More importantly though, I've not had the issue occur since (not once on 18.10), nor have I seen it on the now 18.04 LTS release-upgraded system (same hardware; just different partitions; ie. dual boot).

(following command is for the 18.10 release-upgraded box)
guiverc@d960-ubu2:~$ dpkg -l |grep 'caff\|light-lock'
ii caffeine 2.9.4-1 all prevent the desktop becoming idle in full-screen mode
rc light-locker 1.8.0-1ubuntu1 amd64 simple screen locker for lightDM display manager
rc light-locker-settings 1.5.0-0ubuntu2 all simple configuration tool for light-locker

Changed in xorg (Ubuntu):
importance: Low → Undecided
status: New → Invalid
Chris Guiver (guiverc) on 2018-07-29
summary: after waking from sleep i get text radeon error message then return
- login screen
+ login screen (18.04 & 18.10)
description: updated
Chris Guiver (guiverc) wrote :

guiverc@d960-ubu2:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu Cosmic Cuttlefish (development branch)
Release: 18.10
Codename: cosmic

note: this is the same box as above; but now 18.10

a two line radeon error message appeared on the screen (near top left), both lines were then repeated, then a reasonable delay (of seconds) then login screen & new session.

NOTE: this is WAS NOT THE SAME MESSAGE (just similar) I had in 18.04; and this is the first occurrence on 18.10 (I'll provide more when I can)

root@d960-ubu2:/var/crash# ls -ltrh
total 68M
drwxrwsr-x 2 guiverc whoopsie 4.0K May 22 10:50 2018-05-22 /* copies of prior crash I made */
-rw-r----- 1 guiverc whoopsie 25M Jul 30 08:29 _usr_lib_xorg_Xorg.1000.crash
-rw-r----- 1 guiverc whoopsie 70K Jul 30 08:29 _usr_bin_caffeine.1000.crash
-rw-r----- 1 guiverc whoopsie 43M Jul 30 08:29 _usr_bin_vlc.1000.crash

vlc & audacious were paused; I pause before sleeping (vlc hadn't been used in hours before sleep, audacious was paused only shortly before sleep)

reporting bugs now (ubuntu-bug /var/crash...)

// I got errors on term,
guiverc@d960-ubu2:/var/crash$ ubuntu-bug _usr_lib_xorg_Xorg.1000.crash
Gtk-Message: 08:58:22.547: Failed to load module "appmenu-gtk-module"
Gtk-Message: 08:58:22.547: Failed to load module "appmenu-gtk-module"
==== AUTHENTICATING FOR com.ubuntu.apport.root-info ===
Authentication is required to collect system information for this problem report
Authenticating as: chris guiver,,, (guiverc)
Password:
polkit-agent-helper-1: error response to PolicyKit daemon: GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: No session for cookie
==== AUTHENTICATION FAILED ===
Error executing command as another user: Not authorized

This incident has been reported.
==== AUTHENTICATING FOR com.ubuntu.apport.root-info ===
Authentication is required to collect system information for this problem report
Authenticating as: chris guiver,,, (guiverc)
Password:
polkit-agent-helper-1: error response to PolicyKit daemon: GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: No session for cookie
==== AUTHENTICATION FAILED ===
Error executing command as another user: Not authorized

This incident has been reported.

ie. AUTHENTICATION FAILED; i ran under as me, and not `sudo`. *.crash copied (-p) to directory

//because of authentication failed; I also `sudo ubuntu-bug` the first xorg one in case the authentication failed meant something.. the red error messages stood out & i missed out the "incident report" @ the bottom, sorry.

As per prior discussions; light-locker is not installed; but caffeine was pulled in at sometime (not intentionally by me),

guiverc@d960-ubu2:/var/crash$ dpkg -l caffeine
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-==============-============-============-=================================
ii caffeine 2.9.4-1 all prevent the desktop becoming idle

Chris Guiver (guiverc) wrote :

Chris Guiver:

1) To confirm, please run the following command and post the results:
sudo cat /var/lib/whoopsie/whoopsie-id

2) To confirm a WORKAROUND in 18.10, if you uninstall both light-locker and caffeine simultaneously, is a crash still reproducible?

Changed in xorg (Ubuntu):
importance: Undecided → Low
status: Invalid → Incomplete
tags: added: cosmic
Chris Guiver (guiverc) wrote :

guiverc@d960-ubu2:~$ sudo cat /var/lib/whoopsie/whoopsie-id
[sudo] password for guiverc:

ceaac5c412433432f0beca83292fc33804be2fdae3b13b7fc7185e6a52d5fd6941294dff354c0cc3a5000fce6202e51c04e867a10ca60bb60b3682028253f96e

guiverc@d960-ubu2:~$ sudo apt remove light-locker caffeine
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package 'light-locker' is not installed, so not removed
The following packages will be REMOVED:
  caffeine
0 to upgrade, 0 to newly install, 1 to remove and 0 not to upgrade.
After this operation, 323 kB disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database ... [redacted] -- done

Chris Guiver (guiverc) wrote :

today's crash
-rw-r----- 1 guiverc whoopsie 20M Aug 1 08:28 _usr_lib_xorg_Xorg.1000.crash
// this has was reported (ubuntu-bug)

no caffeine or light-locker are installed

on screen I had 4 'repeats' but was able to look closer and not it's not a message repeated, but it's part of `dmesg` log, which contained today the following

[116686.756961] radeon 0000:01:00.0: couldn't schedule ib
[116686.756995] [drm:radeon_uvd_suspend [radeon]] *ERROR* Error destroying UVD (-22)!

[118941.608308] radeon 0000:01:00.0: couldn't schedule ib
[118941.608344] [drm:radeon_uvd_suspend [radeon]] *ERROR* Error destroying UVD (-22)!
[118941.608308] radeon 0000:01:00.0: couldn't schedule ib
[118941.608344] [drm:radeon_uvd_suspend [radeon]] *ERROR* Error destroying UVD (-22)!
[171718.127155] radeon 0000:01:00.0: couldn't schedule ib
[171718.127190] [drm:radeon_uvd_suspend [radeon]] *ERROR* Error destroying UVD (-22)!
[218598.613273] radeon 0000:01:00.0: couldn't schedule ib
[218598.613308] [drm:radeon_uvd_suspend [radeon]] *ERROR* Error destroying UVD (-22)!

NOTE: I didn't write down the numbers but counted four 'repeats' only so one of my copy/pastes (from dmesg) wasn't there (I'm assuming the top/first one). The left 'dmesg' time part is what I missed yesterday. The message appears near top left (maybe a few lines down) on both screens, stays there awhile then screen blanks and I'm back at login greeter (my xfce session gone)

Chris Guiver (guiverc) wrote :

Chris Guiver:

1) While the issue is being root caused, please keep light-locker, and caffeine uninstalled.

2) Regarding the file:
-rw-r----- 1 guiverc whoopsie 20M Aug 1 08:28 _usr_lib_xorg_Xorg.1000.crash

No error reports have been reported to errors since 2018-07-11. One may further confirm is if in the folder /var/crash there are files .upload and .uploaded found along with the same .crash file (or a bug report is created on Launchpad). Clicking on the crash GUI doesn't indicate if a crash was successfully reported. For more on this, please see https://help.ubuntu.com/community/ReportingBugs .

Hence, could you please report the crash, and advise to the additional files in /var/crash?

Chris Guiver (guiverc) wrote :
Chris Guiver (guiverc) wrote :

guiverc@d960-ubu2:/var/crash$ ls -la
total 64408
drwxrwsrwt 3 root whoopsie 4096 Aug 1 08:32 .
drwxr-xr-x 15 root root 4096 Nov 16 2017 ..
drwxrwsr-x 2 guiverc whoopsie 4096 Jul 30 09:19 2018-05-22
-rw-r----- 1 guiverc whoopsie 70917 Jul 30 08:28 _usr_bin_caffeine.1000.crash
-rw-r----- 1 guiverc whoopsie 44980186 Jul 30 08:29 _usr_bin_vlc.1000.crash
-rw-r----- 1 guiverc whoopsie 20876029 Aug 1 08:28 _usr_lib_xorg_Xorg.1000.crash

these .crash files have been filed (now twice) with `ubuntu-bug _usr_bin_caffeine.1000.crash` using my username (guiverc), no paths as I navigated to the directory first. A "Sorry, Ubuntu 18.10 has experienced an internal error" box appears each time, I just hit continue, and I get returned to shell.

guiverc@d960-ubu2:/var/crash$ ubuntu-bug _usr_lib_xorg_Xorg.1000.crash
Gtk-Message: 09:55:58.212: Failed to load module "appmenu-gtk-module"
Gtk-Message: 09:55:58.212: Failed to load module "appmenu-gtk-module"
Gtk-Message: 09:55:58.213: Failed to load module "appmenu-gtk-module"
guiverc@d960-ubu2:/var/crash$

None have the .upload* in directory; and the 2018-07-30 Xorg crash file was overwritten by today's crash.

Chris Guiver (guiverc) wrote :

fyi: looking at the wiki,
/etc/gdm3/custom.conf now has Enable=true (it was commented out sorry)

"Reporting a crash in the stable release" may not apply, but I couldn't find a problem_types (only mentioned this as I noted you were last wiki editor; thank you!)

Thank you for link - appreciated. I still get nothing since 11-july on https://errors.ubuntu.com/user/ceaac5c412433432f0beca83292fc33804be2fdae3b13b7fc7185e6a52d5fd6941294dff354c0cc3a5000fce6202e51c04e867a10ca60bb60b3682028253f96e

(I checked the ID; and copied it twice into browser from `sudo cat /var/lib/whoopsie/whoopsie-id` getting same result)

Thanks Christopher - I do appreciate your help (hopefully I'm learning slowly!)

description: updated

Chris Guiver, you may need to use:
sudo ubuntu-bug /var/crash/FILENAME.crash

when filing crash reports in order for the upload/uploaded files to be generated, and, in turn, to get the errors reported successfully.

Given the reproducibility of the crash, and how you are using the latest Ubuntu release, I'll mark this Triaged for now, and an xorg developer may further review.

Changed in xorg (Ubuntu):
status: Incomplete → Triaged
affects: xorg (Ubuntu) → xorg-server (Ubuntu)

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Chris Guiver (guiverc) wrote :

This may be significant, may be a red herring...

I haven't had crashes for some time, and note the following messages appear (somewhat) like the initial description, but only stay briefly before I'm asked for password (unlock screen, no crash & session resumes as it should)

I can't be sure this is the message, it's too brief, but over the last few wakes the most likely lines from `dmesg` are

[143795.846794] radeon 0000:01:00.0: couldn't schedule ib
[143795.846835] [drm:radeon_uvd_suspend [radeon]] *ERROR* Error destroying UVD (-22)!

They appear in 2-10 (lines vary, but seem to grow in number, smaller numbers appearing closer to a reboot). Uptime currently is 6 days, maybe 6 lines just now. The screen is black, the lines appear as white text, I try and read before my wallpaper appears, I hit a key and the unlock box appears.

To help detect the messages, I've had a window showing `dmesg` on screen viewing the messages around my last 'resume', the words I remember were
"[radeon]] *ERROR* Error destroying UVD (-22)!"
though I didn't try and remember brackets. The first line may be wrong, and of course no system.timestamp (which is just from dmesg). The amount of text is ~correct, as is the quantity of text in the line above (which is why included; but could be wrong).

Anyway it's been awhile since I had a 'radeon xorg crash' :)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers